package cn.gov.customs.wxjy.analyze.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.analyze.pojo.EntryHead;
import cn.gov.customs.wxjy.analyze.pojo.EntryHeadQuery;

/**
 * 危险品报关单头Mapper接口
 *
 * @author xiong
 * @date 2025-12-04
 */
@Mapper
public interface EntryHeadMapper {
    /**
     * 查询危险品报关单头
     *
     * @param entryId 危险品报关单头主键
     * @return 危险品报关单头
     */
    public EntryHead selectByEntryId(String entryId);

    /**
     * 查询危险品报关单头列表
     *
     * @param entryHead 危险品报关单头
     * @return 危险品报关单头集合
     */
    public List<EntryHead> selectList(EntryHeadQuery entryHead);

    /**
     * 新增危险品报关单头
     *
     * @param entryHead 危险品报关单头
     * @return 结果
     */
    public int insert(EntryHead entryHead);

    /**
     * 修改危险品报关单头
     *
     * @param entryHead 危险品报关单头
     * @return 结果
     */
    public int update(EntryHead entryHead);

    /**
     * 删除危险品报关单头
     *
     * @param entryId 危险品报关单头主键
     * @return 结果
     */
    public int deleteByEntryId(String entryId);

    /**
     * 批量删除危险品报关单头
     *
     * @param entryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByEntryIds(String[] entryIds);

    /**
     * 逻辑删除危险品报关单头
     *
     * @param entryId 危险品报关单头主键
     * @return 结果
     */
    public int logicDelete(String entryId);
}
